# \QuerySQL_Interface

parent for database manipulation subclasses

## Summary

Methods
Constants
limit()
explain()
random()
db_list()
table_list()
system_table_list()
view_list()
trigger_list()
function_list()
procedure_list()
sequence_list()
type_list()
column_list()
fk_list()
index_list()
No constants found
No protected methods found
N/A
No private methods found
N/A

File
  src/Query/SQL_Interface.php
Package
  \Query\Drivers

## Tags

None found

## Methods

### limit()

    limit(string  $sql, integer  $limit, integer|boolean  $offset = FALSE) : string

Get database specific sql for limit clause

#### Parameters

string | $sql |
integer | $limit |
integer|boolean | $offset |

#### Returns

string

#

## Tags

None found

### explain()

    explain(string  $sql) : string

Modify the query to get the query plan

#### Parameters

string | $sql |

#### Returns

string

#

## Tags

None found

### random()

    random() : string

Get the sql for random ordering

#### Returns

string

#

## Tags

None found

### db_list()

    db_list() : string

Returns sql to list other databases

#### Returns

string

#

## Tags

None found

### table_list()

    table_list() : string

Returns sql to list tables

#### Returns

string

#

## Tags

None found

### system_table_list()

    system_table_list() : string

Returns sql to list system tables

#### Returns

string

#

## Tags

None found

### view_list()

    view_list() : string

Returns sql to list views

#### Returns

string

#

## Tags

None found

### trigger_list()

    trigger_list() : string

Returns sql to list triggers

#### Returns

string

#

## Tags

None found

### function_list()

    function_list() : NULL

Return sql to list functions

#### Returns

NULL

#

## Tags

None found

### procedure_list()

    procedure_list() : string

Return sql to list stored procedures

#### Returns

string

#

## Tags

None found

### sequence_list()

    sequence_list() : string

Return sql to list sequences

#### Returns

string

#

## Tags

None found

### type_list()

    type_list() : string|array

Return sql to list database field types

#### Returns

string|array

#

## Tags

None found

### column_list()

    column_list(string  $table) : string

Get information about the columns in the specified table

#### Parameters

string | $table |

#### Returns

string

#

## Tags

None found

### fk_list()

    fk_list(string  $table) : array

Get the list of foreign keys for the current table

#### Parameters

string | $table |

#### Returns

array

#

## Tags

None found

### index_list()

    index_list(string  $table) : array

Get the list of indexes for the current table

#### Parameters

string | $table |

#### Returns

array

#

## Tags

None found

### SQL_Interface.php